### Class

# EDataBook SystemLocaleWatcher

#### Description [src]

    class EDataBook.SystemLocaleWatcher : GObject.Object
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_system_locale_watcher_new

Creates a new `ESystemLocaleWatcher` instance, which listens for D-Bus notification on locale changes. It uses system bus, unless an environment variable “EDS_TESTING” is defined, in which case it uses the session bus instead.

since: 3.30

#### Instance methods

###### e_system_locale_watcher_dup_locale

Returns the current locale, as detected by the `watcher`. The string is duplicated for thread safety. It can be `NULL`, when the locale was not detected yet.

since: 3.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataBook.SystemLocaleWatcher:locale

Current locale, as detected. It can be `NULL`, when the locale was not detected yet.

since: 3.30

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataBookSystemLocaleWatcherClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.